Skip to Content
Keko
API reference

Review

GET
/v1/threads/{threadId}/review

Authorization

bearer
headerAuthorizationBearer <token>

Path Parameters

threadId*string

Query Parameters

fresh?string
Value in"0""1""true""false"

Response Body

OK

application/json
  1. response
github*
pr*|null
local*|null
[key: string]?any
Example Request
curl -X GET 'https://engine.keko.run/v1/threads/string/review'
Example Response
{  "github": {    "state": "string"  },  "pr": {    "number": 0,    "url": "string",    "title": "string",    "status": "string",    "checks": "string",    "review": "string",    "mergeable": true,    "mergeState": "string",    "checkedAt": 0  },  "local": {    "uncommitted": 0,    "unpushed": 0,    "ahead": 0,    "pushed": true,    "remote": "string"  }}
POST
/v1/threads/{threadId}/review/pull-request

Authorization

bearer
headerAuthorizationBearer <token>

Path Parameters

threadId*string

Request Body

application/json
  1. body
draft?boolean

Response Body

OK

application/json
  1. response
pr*|null
Example Request
curl -X POST 'https://engine.keko.run/v1/threads/string/review/pull-request' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
{  "pr": {    "number": 0,    "url": "string",    "title": "string",    "status": "string",    "checks": "string",    "review": "string",    "mergeable": true,    "mergeState": "string",    "checkedAt": 0  }}
PUT
/v1/threads/{threadId}/review/pull-request

Authorization

bearer
headerAuthorizationBearer <token>

Path Parameters

threadId*string

Response Body

OK

application/json
  1. response
pr*|null
Example Request
curl -X PUT 'https://engine.keko.run/v1/threads/string/review/pull-request'
Example Response
{  "pr": {    "number": 0,    "url": "string",    "title": "string",    "status": "string",    "checks": "string",    "review": "string",    "mergeable": true,    "mergeState": "string",    "checkedAt": 0  }}
POST
/v1/threads/{threadId}/review/refresh

Authorization

bearer
headerAuthorizationBearer <token>

Path Parameters

threadId*string

Response Body

OK

application/json
  1. response
pr*|null
Example Request
curl -X POST 'https://engine.keko.run/v1/threads/string/review/refresh'
Example Response
{  "pr": {    "number": 0,    "url": "string",    "title": "string",    "status": "string",    "checks": "string",    "review": "string",    "mergeable": true,    "mergeState": "string",    "checkedAt": 0  }}
POST
/v1/threads/{threadId}/review/merge

Authorization

bearer
headerAuthorizationBearer <token>

Path Parameters

threadId*string

Request Body

application/json
  1. body
method?string
Value in"squash""merge""rebase"

Response Body

OK

application/json
  1. response
pr*|null
Example Request
curl -X POST 'https://engine.keko.run/v1/threads/string/review/merge' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
{  "pr": {    "number": 0,    "url": "string",    "title": "string",    "status": "string",    "checks": "string",    "review": "string",    "mergeable": true,    "mergeState": "string",    "checkedAt": 0  }}
POST
/v1/threads/{threadId}/review/fix

Authorization

bearer
headerAuthorizationBearer <token>

Path Parameters

threadId*string

Response Body

OK

application/json
  1. response
ok*boolean
Example Request
curl -X POST 'https://engine.keko.run/v1/threads/string/review/fix'
Example Response
{  "ok": true}
POST
/v1/threads/{threadId}/review/comments

Authorization

bearer
headerAuthorizationBearer <token>

Path Parameters

threadId*string

Request Body

application/json
  1. body
comments*array<>
Items1 <= items
requestId?string

Response Body

OK

application/json
  1. response
submissionId*string
Example Request
curl -X POST 'https://engine.keko.run/v1/threads/string/review/comments' \  -H 'Content-Type: application/json' \  -d '{  "comments": [    {      "path": "string",      "line": 1,      "text": "string"    }  ]}'
Example Response
{  "submissionId": "string"}